package com.usky.sas.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.common.mybatis.core.CrudService;
import com.usky.sas.domain.SasVideoMonitorGroupType;
import com.usky.sas.service.vo.VideoMonitorGroupPageRequest;
import com.usky.sas.service.vo.VideoMonitorGroupSaveRequest;

import java.util.List;

/**
 * 视频监控组类型 服务接口
 */
public interface SasVideoMonitorGroupTypeService extends CrudService<SasVideoMonitorGroupType> {

    List<SasVideoMonitorGroupType> listAll();

    CommonPage<SasVideoMonitorGroupType> page(VideoMonitorGroupPageRequest request);

    String create(VideoMonitorGroupSaveRequest request);

    void update(String id, VideoMonitorGroupSaveRequest request);

    void delete(String id);
}
